Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79976 - RFE: install /etc/fstab with 'TYPE=swap swap..."
Summary: RFE: install /etc/fstab with 'TYPE=swap swap..."
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-18 10:14 UTC by Stig Hackvan
Modified: 2014-03-17 02:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-02 18:37:30 UTC


Attachments (Terms of Use)

Description Stig Hackvan 2002-12-18 10:14:52 UTC
[installer, swapon, & maybe kernel] feature request:

once upon a time (2000), i filed a bug <<
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=8957 >> recommending that
the installer label partitions to take the guesswork out of future installations.

subsequently, i recommended that partitions be mounted according to their labels
so as to allow disks to be moved around more easily.  

these things have mostly been done, but the latter is incomplete.  swap
partitions are still hardwired device numbers in /etc/fstab and that dashes
one's hopes of cleanly relocating drives...  (lilo gags on relocation, too, but
maybe grub gets it right...  after all, win2000 can be moved from hda to hdc
without a hitch...)

so, it would be good for the combination of
installer/initscripts/fstab/swapon/kernel to all manage the moral equivalent of
this:

for sp in $(for d in $(egrep -l '^disk$' /proc/ide/*/media /dev/null | sed
's,.*/\(.*\)/media,\1,'); do fdisk -l /dev/$d ; done | grep '82  Linux swap' |
sed 's/ .*//'); do echo swapon $sp; done

Comment 1 Jeremy Katz 2003-01-28 06:03:53 UTC
Assigning to distribution as its a distribution level concern

Comment 2 Bill Nottingham 2005-03-02 18:37:30 UTC
Swap-by-label should be there now.


Note You need to log in before you can comment on or make changes to this bug.